Subject: UUCPA announce: Do you remember "Y'ALL" ?

From: "Pat Thomas" <[email-masked]>
Date: Mon, 25 Apr 2005 16:59:45 -0700

Many of you may remember the two cross-dressing guys who were the Special
Music for a Sunday service several years ago (when Kurt was here).  They
were wonderful musicians, funny, poignant-- we were lucky to snag them as
part of their cross-country tour.

Anyway, we got a postcard from them, saying that a film about their trip,
"Life in a Box," and how it turned their whole world inside out, will be
premiering at the San Francisco International Film Festival on Sat.April 30,
9:15pm, and Thurs.May 5, 8pm (AMC Kabuki 8 Theatres).  Might be fun...

--
The announce list is only for announcements about the UUCPA. Discussion
and Q&A of church business should be sent to "[email-masked]".
To remove yourself from announce, send the following message to
"[email-masked]"

unsubscribe announce
end